Bug 1785465 - CephFS should prevent setting up a file system with an erasure coded (EC) default data pool
Summary: CephFS should prevent setting up a file system with an erasure coded (EC) def...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 4.0
Hardware: All
OS: All
urgent
urgent
Target Milestone: rc
: 4.0
Assignee: Patrick Donnelly
QA Contact: Hemanth Kumar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-19 22:52 UTC by Patrick Donnelly
Modified: 2020-01-31 12:48 UTC (History)
6 users (show)

Fixed In Version: ceph-14.2.4-104.el8cp, ceph-14.2.4-39.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:48:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 42450 0 None None None 2019-12-19 22:52:08 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:48:36 UTC

Internal Links: 1785463

Description Patrick Donnelly 2019-12-19 22:52:08 UTC
Description of problem:

See: https://tracker.ceph.com/issues/42450

Comment 1 Hemanth Kumar 2020-01-06 05:17:02 UTC
Hi Patrick,

Can we have this documented for 4.0 ?

Comment 9 Hemanth Kumar 2020-01-17 04:01:49 UTC
[root@magna128 ceph-ansible]# ceph fs new ec-fs ec-metapool ecpool
Error EINVAL: pool 'ecpool' (id '4') is an erasure-coded pool. Use of an EC pool for the default data pool is discouraged; see the online CephFS documentation for more information. Use --force to override.

Verified the fix in Build :- 14.2.4-111.el8cp

Moving to verified.

Comment 11 errata-xmlrpc 2020-01-31 12:48:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.